package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class DataMutasiAntarDepo
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "RM_DataMutasiAntarDepo_M")
public class DataMutasiAntarDepo extends BaseMaster {
	@NotNull(message="KodeBarang tidak boleh kosong")
	@Column(name = "KodeBarang", nullable = false, length = 100)
	@Caption(value = "KodeBarang")
	private String kodeBarang;
	public void setKodeBarang(String kodeBarang)
	{
		this.kodeBarang = kodeBarang;
	}
	public String getKodeBarang()
	{
		 return this.kodeBarang;
	}


	@NotNull(message="NamaBarang tidak boleh kosong")
	@Column(name = "NamaBarang", nullable = false, length = 100)
	@Caption(value = "NamaBarang")
	private String namaBarang;
	public void setNamaBarang(String namaBarang)
	{
		this.namaBarang = namaBarang;
	}
	public String getNamaBarang()
	{
		 return this.namaBarang;
	}


	@NotNull(message="Satuan tidak boleh kosong")
	@Column(name = "Satuan", nullable = false, length = 100)
	@Caption(value = "Satuan")
	private String satuan;
	public void setSatuan(String satuan)
	{
		this.satuan = satuan;
	}
	public String getSatuan()
	{
		 return this.satuan;
	}


	@NotNull(message="SaldoAkhir tidak boleh kosong")
	@Column(name = "SaldoAkhir", nullable = false, length = 100)
	@Caption(value = "SaldoAkhir")
	private String saldoAkhir;
	public void setSaldoAkhir(String saldoAkhir)
	{
		this.saldoAkhir = saldoAkhir;
	}
	public String getSaldoAkhir()
	{
		 return this.saldoAkhir;
	}


	@NotNull(message="Tanggal tidak boleh kosong")
	@Column(name = "Tanggal", nullable = false, length = 100)
	@Caption(value = "Tanggal")
	private String tanggal;
	public void setTanggal(String tanggal)
	{
		this.tanggal = tanggal;
	}
	public String getTanggal()
	{
		 return this.tanggal;
	}


	@NotNull(message="Jml tidak boleh kosong")
	@Column(name = "Jml", nullable = false, length = 100)
	@Caption(value = "Jml")
	private String jml;
	public void setJml(String jml)
	{
		this.jml = jml;
	}
	public String getJml()
	{
		 return this.jml;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.RM_DataMutasiAntarDepo_M")
	@javax.persistence.SequenceGenerator(name = "public.RM_DataMutasiAntarDepo_M", sequenceName = "public.RM_DataMutasiAntarDepo_M", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

}